function D = diffK(v,alpha,zeta);

%_________________________________________________________________________________
% diffK.m
% Arguments: v (saddlepoint), alpha >=1, zeta > 0 (Weibull parameters)
% This function computes the derivatives of the c.g.f. of the Weibull tail 
% integrated distribution 
%_________________________________________________________________________________


o = [0:99];
a =  gamma((o+1)/alpha)./gamma(o+1)./(zeta.^(o/alpha));

ve = v.^o;

S1 = a*ve';
S2 = sum(a(2:99).*o(2:99).*ve(1:98));     
S3 = sum(a(3:99).*o(3:99).*o(2:98).*ve(1:97));

K = -log(gamma(1/alpha))+log(S1); 
dK = S2/S1;
d2K = S3/S1-(S2/S1)^2;

D = [K dK d2K];

