function D = diffMN(v,beta);
  
%____________________________________________________________________________________
% diffMN.m
% Arguments: v (saddlepoint), beta (security loading)
% This function computes the derivatives of the m.g.f. of the geometric distribution
%____________________________________________________________________________________

rho = beta/(1+beta); 

M = rho/(1-(1-rho)*exp(v)); 
dM = rho*(1-rho)*exp(v)*(1-(1-rho)*exp(v))^(-2);
d2M = rho*(1-rho)*exp(v)*(1+(1-rho)*exp(v))*(1-(1-rho)*exp(v))^(-3); 

D = [M dM d2M];

