function f = ftm(v,alpha,zeta,beta,s);

%_____________________________________________________________________________________ 
% ftm.m
% Arguments: v (argument), alpha >= 1, zeta > 0 (Weibull parameters), beta > 0 
% (security loading), s (point of domain)
% This function computes the function to be minimized for obtaining the saddlepoint, 
% for the compound geometric sum with tail integrated Weibull summands
%_____________________________________________________________________________________ 

K = diffK(v,alpha,zeta); 
M = diffMN(K(1),beta);
rho = beta/(1+beta); 
KZ0 = log((M(1)-rho)/(1-rho));

f = KZ0-s*v;
 
