%____________________________________________________________________________
% main.m  
% Main program for the computation of the saddlepoint approximation of the
% stability under uniform perturbation of the compound geometric sum with 
% tail integrated Weibull summands, thus to the probability of ruin
%____________________________________________________________________________

clear
addpath /Volumes/imsv/gatto/Matlab 

mes = .01;
t1 = [.03:mes:1]; 
scal = 14;
t = t1*scal; % domain of the distribution  

x = 7; % contamination point .5 1 1.5 2 3 4 5 7

beta = .5; % security loading
rho = beta/(1+beta); % geometric parameter 
alpha = 1.5; % Weibull parameter
zeta = 1; % Weibull parameter

mu = 1/rho*gamma(2/alpha)/gamma(1/alpha)/zeta^(1/alpha); % E[Z0] 

% continue from here 

k = [];
y = -.1; % starting point for the search of the saddlepoint 
for j = 1:length(t),
	y = fminsearch('ftm',y,[],alpha,zeta,beta,t(j));
	sp(j) = y;
	DdKZ0 = DdiffKZ0(y,t(j),x,alpha,zeta,beta);  
	r = sadstab(t(j),y,DdKZ0,rho); 
	if (t(j)<mu+mes*scal)&(t(j)>mu-mes*scal), 
		k = [k j];
		sf(j) = 0;
	else
		sf(j) = r(1);
	end; 
	st(j) = r(2);
end;

if 1,
% linear interpolation around expectation
lk = length(k);
x1 = t(k(1)-1);
x2 = t(k(lk)+1);
y1 = sf(k(1)-1);
y2 = sf(k(lk)+1); 
b = (y2-y1)/(x2-x1);
a = y2-b*x2;  
for j = k,
	sf(j) = a+b*t(j); 
end;
end; 

